%%%%%%%%%%%%
%    srm 1.0    
%  
%   Bu ablon, ukurova niversitesi Matematik Blm Ar.Gr. Orhan SNMEZ
%   tarafndan,   Fen Bilimleri Enstits Tez Yazm Kurallarna 
%   uygun YL/Doktora tezlerinin yazm iin hazrlanmtr.
%
%   Bu ablonun kullanmyla ilgili kabilecek problemlerden dolay, 
%   ablonu yazan hi bir ekilde sorumlu tutulamaz.
%
%   Bu ablon tamamyla cretsiz bir ekilde datlp kullanlabilir.
%
%   Bu ablonun kullanm sonucunda ktda meydana sorunlar ve zm 
%   nerilerini Orhan Snmeze (orhansonmez@cu.edu.tr) veya Metin zdemir'e
%   (metoz@cu.edu.tr) veya Doan Dnmez' e (donmez@cu.edu.tr)yazabilirsiniz.
%
%   Bu ablonun zerinde deiiklik de yapabilirsiniz. Eer daha kullanl 
%   ve daha gzel/yararl deiiklikler yaparsanz bu ablonu kullanan dier 
%   kiilerlerle paylalmas iin metoz@cu.edu.tr'ye yaznz.
%
%   Bu ablonun nasl kullanlaca bu paketle beraber gelen "aciklama.pdf"
%   dosyasnda bulunabilir.      
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{cufbe}[2005/05/15 v1.0]
\RequirePackage{ifthen}
\RequirePackage{graphicx}
\RequirePackage{pictexwd,dcpic}


\PassOptionsToClass{12pt}{report}
\PassOptionsToClass{letterpaper}{report}

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{report}}

\ProcessOptions
\LoadClass{report}


%******************************* Ana Kod *******************************


\usepackage{amssymb}
\usepackage{amsmath}

\usepackage{fancyhdr}
\usepackage{pslatex}
\usepackage{theorem}
\usepackage{times}

%Trke Karakter Seti

\catcode240=13 \def {\u g}
\catcode231=13 \def {\c c}
\catcode246=13 \def {\"o}
\catcode254=13 \def {\c s}
\catcode252=13 \def {\"u}
\catcode220=13 \def {\"U}
\catcode253=13 \def {{\i}}
\catcode221=13 \def {\.I}
\catcode199=13 \def {\c C}
\catcode208=13 \def {\u G}
\catcode214=13 \def {\"O}
\catcode222=13 \def {\c S}

{
\theorembodyfont{\rmfamily}
\newtheorem{theorem}{Teorem}[chapter]
\newtheorem{algorithm}[theorem]{Algoritma}
\newtheorem{axiom}[theorem]{Aksiyom}
\newtheorem{case}[theorem]{Durum}
\newtheorem{claim}[theorem]{\.Iddia}
\newtheorem{conclusion}[theorem]{Bitim}
\newtheorem{condition}[theorem]{Ko\c{s}ul}
\newtheorem{conjecture}[theorem]{San\i }
\newtheorem{corollary}[theorem]{Sonu\c{c}}
\newtheorem{criterion}[theorem]{Kriter}
\newtheorem{definition}[theorem]{Tan\i m}
\newtheorem{example}[theorem]{\"Ornek}
\newtheorem{exercise}[theorem]{Al\i\c{s}t\i rma}
\newtheorem{lemma}[theorem]{Lemma}
\newtheorem{notation}[theorem]{G\"osterim}
\newtheorem{problem}[theorem]{Problem}
\newtheorem{proposition}[theorem]{\"Onerme}
\newtheorem{remark}[theorem]{Not}
\newtheorem{solution}[theorem]{\c{C}\"oz\"um}
\newtheorem{summary}[theorem]{\"Ozet}
}
\newenvironment{proof}[1][\.Ispat]{\noindent\textbf{#1:} }{}


\newcommand{\spacing}[1]{\renewcommand{\baselinestretch}{#1}%
                  \large\normalsize}
\DeclareSymbolFont{greekletters}{OML}{ztmcm}{m}{it}
\DeclareMathSymbol{\Gamma}{\mathalpha}{greekletters}{"00}
\DeclareMathSymbol{\Delta}{\mathalpha}{greekletters}{"01}
\DeclareMathSymbol{\Theta}{\mathalpha}{greekletters}{"02}
\DeclareMathSymbol{\Lambda} {\mathalpha}{greekletters}{"03}
\DeclareMathSymbol{\Xi}{\mathalpha}{greekletters}{"04}
\DeclareMathSymbol{\Pi}{\mathalpha}{greekletters}{"05}
\DeclareMathSymbol{\Sigma}{\mathalpha}{greekletters}{"06}
\DeclareMathSymbol{\Upsilon}{\mathalpha}{greekletters}{"07}
\DeclareMathSymbol{\Phi}{\mathalpha}{greekletters}{"08}
\DeclareMathSymbol{\Psi}{\mathalpha}{greekletters}{"09}
\DeclareMathSymbol{\Omega}{\mathalpha}{greekletters}{"0A}
\DeclareMathSymbol{\alpha}{\mathalpha}{greekletters}{"0B}
\DeclareMathSymbol{\beta}{\mathalpha}{greekletters}{"0C}
\DeclareMathSymbol{\gamma}{\mathalpha}{greekletters}{"0D}
\DeclareMathSymbol{\delta}{\mathalpha}{greekletters}{"0E}
\DeclareMathSymbol{\epsilon}{\mathalpha}{greekletters}{"0F}
\DeclareMathSymbol{\zeta}{\mathalpha}{greekletters}{"10}
\DeclareMathSymbol{\eta}{\mathalpha}{greekletters}{"11}
\DeclareMathSymbol{\theta}{\mathalpha}{greekletters}{"12}
\DeclareMathSymbol{\iota}{\mathalpha}{greekletters}{"13}
\DeclareMathSymbol{\kappa}{\mathalpha}{greekletters}{"14}
\DeclareMathSymbol{\lambda}{\mathalpha}{greekletters}{"15}
\DeclareMathSymbol{\mu}{\mathalpha}{greekletters}{"16}
\DeclareMathSymbol{\nu}{\mathalpha}{greekletters}{"17}
\DeclareMathSymbol{\xi}{\mathalpha}{greekletters}{"18}
\DeclareMathSymbol{\pi}{\mathalpha}{greekletters}{"19}
\DeclareMathSymbol{\rho}{\mathalpha}{greekletters}{"1A}
\DeclareMathSymbol{\sigma}{\mathalpha}{greekletters}{"1B}
\DeclareMathSymbol{\tau}{\mathalpha}{greekletters}{"1C}
\DeclareMathSymbol{\upsilon}{\mathalpha}{greekletters}{"1D}
\DeclareMathSymbol{\phi}{\mathalpha}{greekletters}{"1E}
\DeclareMathSymbol{\chi}{\mathalpha}{greekletters}{"1F}
\DeclareMathSymbol{\psi}{\mathalpha}{greekletters}{"20}
\DeclareMathSymbol{\omega}{\mathalpha}{greekletters}{"21}
\DeclareMathSymbol{\varepsilon}{\mathalpha}{greekletters}{"22}
\DeclareMathSymbol{\vartheta}{\mathalpha}{greekletters}{"23}
\DeclareMathSymbol{\varpi}{\mathalpha}{greekletters}{"24}
\DeclareMathSymbol{\varrho}{\mathalpha}{greekletters}{"25}
\DeclareMathSymbol{\varsigma}{\mathalpha}{greekletters}{"26}

\newboolean{hasfigures}\setboolean{hasfigures}{false}
\newboolean{hastables}\setboolean{hastables}{false}



\def\hugeskip{\vskip 24pt plus 8pt minus 8pt}

\setlength {\textheight}{241mm}     %yazm alannn ykseklii
\setlength {\textwidth}{150mm}      %yazm alannn genilii
\setlength {\topmargin}{5mm}        %st boluun bittii yer ile stbilginin st snr arasndaki mesafe
\setlength {\voffset}{-19mm}        %st boluk
\setlength {\hoffset}{-1mm}         %sol boluk
\setlength {\headsep}{17mm}         %st bilginin alt snr ile yazm alannn st snr arasndaki mesafe
\setlength {\footskip}{13mm}        %yazm alannn altta bittii yer ile  altbilginin alt snr arasndaki mesafe
\spacing{2}


\def\makelayout{
\setlength {\textheight}{241mm}
\setlength {\voffset}{-24mm}
}

\def\makenorlayout{
\setlength {\textheight}{241mm}
\setlength {\textwidth}{150mm}
\setlength {\topmargin}{0mm}
%\setlength {\voffset}{-19mm}
\setlength {\voffset}{-15mm}
\setlength {\hoffset}{-1mm}
\setlength {\headsep}{17mm}
\setlength {\footskip}{11mm}
}


\renewenvironment{bibliography}[1]
        {\spacing{1}\addcontentsline{toc}{chapter}{KAYNAKLAR}}{\bibliography}

\def\@removefromreset#1#2{\let\@tempb\@elt
   \expandafter\let\expandafter\@tempa\csname c@#1\endcsname
   \def\@elt##1{\expandafter\ifx\csname c@##1\endcsname\@tempa\else
         \noexpand\@elt{##1}\fi}
   \expandafter\edef\csname cl@#2\endcsname{\csname cl@#2\endcsname}
   \let\@elt\@tempb}


\@removefromreset{footnote}{chapter}
\def\resetfootnote{\setcounter{footnote}{0}}


\long\def\@footnotetext#1{
  \insert\footins{
    \def\baselinestretch {1}
    \reset@font\footnotesize
    \interlinepenalty\interfootnotelinepenalty
    \splittopskip\footnotesep
    \splitmaxdepth \dp\strutbox \floatingpenalty \@MM
    \hsize\columnwidth
    \@parboxrestore
    \protected@edef\@currentlabel{
      \csname p@footnote\endcsname\@thefnmark
    }
    \color@begingroup
      \@makefntext{
        \rule\z@\footnotesep\ignorespaces#1\@finalstrut\strutbox}%
    \color@endgroup}}


\renewcommand*\l@chapter[2]{
  \ifnum \c@tocdepth >\m@ne
    \addpenalty{-\@highpenalty}
    \vskip 1.0em \@plus\p@
    \setlength\@tempdima{1.5em}
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\
       \leaders\hbox{$\m@th
        \mkern \@dotsep mu\hbox{.}\mkern \@dotsep
        mu$}\hfil\nobreak\hb@xt@\@pnumwidth{\hss #2}\par
      \penalty\@highpenalty
    \endgroup
  \fi}

\renewcommand{\chaptermark}[1]{\markboth{\thechapter. \ #1}{}}

\fancypagestyle{myfancy}{
    \fancyhf{}
    \rhead{\@yazar}
    \cfoot{\thepage}
    \renewcommand{\headrulewidth}{0.7pt}
    \renewcommand{\footrulewidth}{0pt}
}

\def\figurename{}
\def\tablename{}

\renewcommand{\thefigure}{\hskip -6mm \c{S}ekil \ \thechapter.\@arabic\c@figure}
\renewcommand{\figure}{\let\@makecaption\@makefigcaption\@float{figure}}

%\def\ftype@figure{1}

\renewcommand*\l@figure{\@dottedtocline{1}{1.5em}{3.2em}} %mo

\let\l@table\l@figure

\renewcommand{\thetable}{\hskip -6mm Tablo \ \thechapter.\@arabic\c@table} 
\renewcommand{\table}{\bigskip\bigskip\let\@makecaption\@maketablecaption\@float{table}}

\newcommand{\captionfonts}{\small}
\long\def\@makefigcaption#1#2{
  \vskip\abovecaptionskip
  \sbox\@tempboxa{{\captionfonts \hskip 6mm #1 \ifthenelse{\equal{#2}{}}{}{\hskip 3mm #2}}}

  \ifdim \wd\@tempboxa >\hsize
    {\captionfonts \hskip 6mm #1 \ifthenelse{\equal{#2}{}}{}{\hskip 3mm #2}}
  \else
    \hbox to\hsize{\hfil\box\@tempboxa\hfil}
  \fi
  \vskip\belowcaptionskip}

\long\def\@maketablecaption#1#2{
  \vskip\abovecaptionskip
  \sbox\@tempboxa{{\captionfonts \hskip 6mm #1 \ifthenelse{\equal{#2}{}}{}{\hskip 3mm #2}}}
 
  \ifdim \wd\@tempboxa >\hsize
    {\captionfonts \hskip 6mm #1 \ifthenelse{\equal{#2}{}}{}{\hskip 3mm #2}}
  \else
    \hbox to\hsize{\hfil\box\@tempboxa\hfil}
  \fi
  \vskip\belowcaptionskip}



\newenvironment{kaynaklistesi}{\begin{list}{}{
    \setlength{\leftmargin}{10mm}
    \setlength{\itemindent}{-10mm}
    \setlength{\itemsep}{-2mm}
}}{\end{list}}

\newenvironment{anahtarlistesi}[1]
{\begin{list}{}{\renewcommand{\makelabel}[1]{\textbf{#1:}}
    \settowidth{\labelwidth}{\textbf{#1:}}
    \setlength{\leftmargin}{38mm}}}
{\end{list}}

\newenvironment{keywordlist}[1]
{\begin{list}{}{\renewcommand{\makelabel}[1]{\textbf{#1:}}
    \settowidth{\labelwidth}{\textbf{#1:}}
    \setlength{\leftmargin}{23mm}}}
{\end{list}}


\def\abstract#1{\gdef\@abstract{#1}}
\def\oz#1{\gdef\@oz{#1}}
\def\onsoz#1{\gdef\@onsoz{#1}}
\def\tesekkur#1{\gdef\@tesekkur{#1}}
\def\simgeler#1{\gdef\@simgeler{#1}}
\def\kaynaklar#1{\gdef\@kaynaklar{#1}}
\def\ozgecmis#1{\gdef\@ozgecmis{#1}}
\def\ekler#1{\gdef\@ekler{#1}}
\def\yazar#1{\gdef\@yazar{#1}}
\def\turkcetezbasligi#1{\gdef\@turkcetezbasligi{#1}}
\def\ingilizcetezbasligi#1{\gdef\@ingilizcetezbasligi{#1}}
\def\turkceanahtarkelimeler#1{\gdef\@turkceanahtarkelimeler{#1}}
\def\ingilizceanahtarkelimeler#1{\gdef\@ingilizceanahtarkelimeler{#1}}
\def\turkceanabilimdali#1{\gdef\@turkceanabilimdali{#1}}
\def\turkceanabilimdalikucuk#1{\gdef\@turkceanabilimdalikucuk{#1}}
\def\ingilizceanabilimdali#1{\gdef\@ingilizceanabilimdali{#1}}
\def\tezderecesi#1{\gdef\@tezderecesi{#1}}
\def\danismanTR#1{\gdef\@danismanTR{#1}}
\def\danismanEN#1{\gdef\@danismanEN{#1}}
\def\birincijuriuyesiTR#1{\gdef\@birincijuriuyesiTR{#1}}
\def\birincijuriuyesiEN#1{\gdef\@birincijuriuyesiEN{#1}}
\def\ikincijuriuyesiTR#1{\gdef\@ikincijuriuyesiTR{#1}}
\def\ikincijuriuyesiEN#1{\gdef\@ikincijuriuyesiEN{#1}}
\def\ucuncujuriuyesiTR#1{\gdef\@ucuncujuriuyesiTR{#1}}
\def\ucuncujuriuyesiEN#1{\gdef\@ucuncujuriuyesiEN{#1}}
\def\dorduncujuriuyesiTR#1{\gdef\@dorduncujuriuyesiTR{#1}}
\def\dorduncujuriuyesiEN#1{\gdef\@dorduncujuriuyesiEN{#1}}
\def\kimlere#1{\gdef\@kimlere{#1}}
\def\tezbitisyili#1{\gdef\@tezbitisyili{#1}}
\def\sayfasayisi#1{\gdef\@sayfasayisi{#1}}
\def\enstitumuduru#1{\gdef\@enstitumuduru{#1}}
\def\projedestekveren#1{\gdef\@projedestekveren{#1}}
\def\projedestekno#1{\gdef\@projedestekno{#1}}



\def\makebaskisim{
 \pagestyle {empty}
 \@ifdefined {@kimlere}{\makekimlere}
 \pagenumbering {Roman}
 \setcounter {page}{0}
 \@ifdefined {@oz}{\makeoz}
 \@ifdefined {@abstract}{\makeabstract}
 \@ifdefined {@onsoz}{\makeonsoz}
 \@ifdefined {@tesekkur}{\maketesekkur}
% \@ifdefined {@simgeler}{\makesimgeler}
 \tableofcontents         
 \ifthenelse{\boolean{hastables}}{\makelistoftables}{}
 \ifthenelse{\boolean{hasfigures}}{\makelistoffigures}{}
 \@ifdefined {@simgeler}{\makesimgeler}
 \pagenumbering {arabic}
 \setcounter {page}{1}
 }

\def\makekimlere{
 \newpage
 \begin{center}
    \vspace*{3cm}
    \textit{\@kimlere}
 \end{center}}


\def\makesonkisim{
 \@ifdefined {@kaynaklar}{\makekaynaklar}
 \@ifdefined {@ozgecmis}{\makeozgecmis}
 \@ifdefined {@ekler}{\makeekler}
 }


\def\kapakveonay{
 \pagestyle {empty}

%*********************** KAPAK VE ONAY SAYFASI ****************************

 %***** KAPAK SAYFASI *****
 \newpage
 \spacing{1}
 \begin{center}
    \bf \c{C}UKUROVA\ \"{U}N\.{I}VERS\.{I}TES\.{I} \\
    \medskip
    \bf FEN\ B\.{I}L\.{I}MLER\.{I}\ ENST\.{I}T\"{U}S\"{U}
 \end{center}
 \vspace*{20mm}
 \vfil
 \begin{flushright}
    \bf{\@tezderecesi  { TEZ\.{I}}}
 \end{flushright}
 \vspace*{5mm}
 \vfil
 \begin{flushleft}
    \bf\@yazar
 \end{flushleft}
 \vspace*{40mm}
 \vfil
 \begin{flushleft}
    \bf\@turkcetezbasligi
 \end{flushleft}
 \vspace*{45mm}
 \vfil
  \begin{center}
    \bf{\@turkceanabilimdali { ANAB\.{I}L\.{I}M DALI}}
 \end{center}

\vfil
 \begin{flushleft}\vfill
    \bf {{ADANA, } \@tezbitisyili}
 \end{flushleft}


 %***** ONAY SAYFASI *****
 \newpage
 \pagestyle{empty}
 \begin{center}
    \bf \c{C}UKUROVA\ \"{U}N\.{I}VERS\.{I}TES\.{I}\\
    \medskip
    \bf FEN\ B\.{I}L\.{I}MLER\.{I}\ ENST\.{I}T\"{U}S\"{U}
 \end{center}

 \hugeskip
 \begin{center}
    \bf\fbox{\parbox{149mm}{\bigskip \spacing{1.5} \centering  \@turkcetezbasligi \bigskip}}
 \end{center}

 \bigskip
 \begin{center}
    \spacing{1.2}
    \bf\@yazar\\ \medskip
    \@tezderecesi { TEZ\.{I}}\\
    \@turkceanabilimdali { ANAB\.{I}L\.{I}M\ DALI}
 \end{center}

\bigskip
\begin{flushleft}
\parbox{150mm}{Bu tez ......................... tarihinde a\c{s}a\u{g}\i daki j\"{u}ri \"{u}yeleri taraf\i ndan
oybirli\u{g}i/oy\c{c}oklu\u{g}u ile kabul edilmi\c{s}tir.}

\hugeskip
\bigskip

\small 
%\small

\parbox{.3\linewidth}{\.{I}mza............................. \\ \@danismanTR \\ DANI\c{S}MAN}
\hfill
\parbox{.3\linewidth}{\.{I}mza............................. \\ \@birincijuriuyesiTR \\ \"{U}YE}
\hfill
\parbox{.3\linewidth}{\.{I}mza............................. \\ \nolinebreak{\@ikincijuriuyesiTR \\ \"{U}YE} }



\hugeskip
\ifthenelse{\equal{\@tezderecesi}{DOKTORA}}{
    \parbox{.3\linewidth}{\.{I}mza............................. \\ \@ucuncujuriuyesiTR \\ \"{U}YE}
    \hfill
    \parbox{.3\linewidth}{\.{I}mza............................. \\ \@dorduncujuriuyesiTR \\ \"{U}YE}
}{
    \hugeskip
    \hugeskip
}
\end{flushleft}

\bigskip
\spacing{1}
\begin{flushleft}
Bu tez Enstit\"{u}m\"{u}z \@turkceanabilimdalikucuk \ Anabilim Dal\i nda haz\i rlanm\i \c{s}t\i r.
\\ Kod No:
\end{flushleft}

\hugeskip
\hugeskip
\hugeskip
\hugeskip
\hugeskip

\begin{flushright}
\@enstitumuduru \\
Enstit\"{u} M\"{u}d\"{u}r\"{u}   \ \ \ \ \ \ \ \\
%\.{I}mza ve M\"{u}h\"{u}r  \ \ \ \ \ \ \
\end{flushright}

\hugeskip

\@ifdefined{@projedestekveren}{
\spacing{1}
    \begin{flushleft}
        Bu \c{C}al\i \c{s}ma \@projedestekveren \ Taraf\i ndan Desteklenmi\c{s}tir.
    \end{flushleft}
}

\@ifundefined{@projedestekveren}{\hugeskip}

\@ifdefined{@projedestekno}{
\spacing{1}
    \begin{flushleft}
        Proje No: \ \@projedestekno
    \end{flushleft}
}

\@ifundefined{@projedestekno}{\hugeskip}

\hugeskip
\begin{flushleft}
\small \textbf{Not:} Bu tezde kullan\i lan \"{o}zg\"{u}n ve ba\c{s}ka kaynaktan yap\i lan
bildiri\c{s}lerin, \c{c}izelge, \c{s}ekil ve foto\u{g}raflar\i n kaynak g%
\"{o}sterilmeden kullan\i m\i , 5846 say\i l\i\ Fikir ve Sanat Eserleri
Kanunundaki h\"{u}k\"{u}mlere tabidir.
\end{flushleft}
}
%********** KAPAK ve ONAY n bitimi *****************************


%*************************** OZ BASLANGICI **************************
\def\makeoz{
 \newpage
 \pagestyle{plain}
 \spacing{2}
 \addcontentsline {toc}{chapter}{\"{O}Z}
 \spacing{1}

 \begin{center}
    \textbf { \"{O}Z} \\
    \bigskip
    \textbf { \@tezderecesi \ TEZ\.{I}} \\
    \bigskip
    \bigskip
    \textbf {\fbox{\parbox{143mm}{\bigskip \spacing{1.5} \centering  \@turkcetezbasligi \bigskip}}\bigskip\bigskip}
    \spacing{1.2}
    \textbf {\@yazar} \\
    \bigskip
    \bigskip
    \textbf {\c{C}UKUROVA\ \"{U}N\.{I}VERS\.{I}TES\.{I}} \\
    \textbf {FEN\ B\.{I}L\.{I}MLER\.{I}\ ENST\.{I}T\"{U}S\"{U}} \\
    \textbf {\@turkceanabilimdali { ANAB\.{I}L\.{I}M\ DALI}} \\
    \bigskip
%    \bigskip
 \end{center}
 \begin{flushleft}
    \hspace{45mm} {Dan\i \c{s}man: \ \@danismanTR} \\
    \spacing{1.2}
    \hspace{57mm} {Y\i l: \ \@tezbitisyili ,\ Sayfa: \ \@sayfasayisi} \\
    \hspace{56mm} {J\"{u}ri: \ \@danismanTR} \\
    \spacing{1}
    \hspace{66mm} {\@birincijuriuyesiTR} \\
    \hspace{66mm} {\@ikincijuriuyesiTR} \\
    \ifthenelse{\equal{\@tezderecesi}{DOKTORA}}{
        \hspace{66mm} {\@ucuncujuriuyesiTR} \\
        \hspace{66mm} {\@dorduncujuriuyesiTR} \\
    }{
        \hugeskip
        \hugeskip
    }
 \end{flushleft}

 \@input{\@oz}
 \vfill
    \begin{anahtarlistesi}{Anahtar Kelimeler}
    \item \@turkceanahtarkelimeler
    \end{anahtarlistesi}

 }
%*************************** OZ BITISI **************************


%*************************** ABSTRACT BASLANGICI **************************
\def\makeabstract{
 \newpage
 \pagestyle {plain}
 \spacing{2}
 \addcontentsline {toc}{chapter}{ABSTRACT}
 \spacing{1}

 \begin{center}
    \textbf {ABSTRACT} \\
    \bigskip
    \textbf {\ifthenelse{\equal{\@tezderecesi}{DOKTORA}}{PhD}{MSc} \ THESIS} \\
    \bigskip
    \bigskip
    \textbf {\fbox{\parbox{143mm}{\bigskip \spacing{1.5} \centering  \@ingilizcetezbasligi \bigskip}}\bigskip\bigskip}
    \spacing{1.2}
    \textbf {\@yazar} \\
    \bigskip
    \bigskip
    \textbf {\@ingilizceanabilimdali} \\
    \textbf {INSTITUTE OF NATURAL AND APPLIED SCIENCES} \\
    \textbf {UNIVERSITY OF \c{C}UKUROVA} \\
    \bigskip
%    \bigskip
 \end{center}
 \begin{flushleft}
    \hspace{45mm} {Supervisor: \ \@danismanEN} \\
    \spacing{1.2}
    \hspace{55mm} {Year: \ \@tezbitisyili ,\ Pages: \ \@sayfasayisi} \\
    \hspace{56mm} {Jury: \ \@danismanEN} \\
    \spacing{1}
    \hspace{66mm} {\@birincijuriuyesiEN} \\
    \hspace{66mm} {\@ikincijuriuyesiEN} \\
    \ifthenelse{\equal{\@tezderecesi}{DOKTORA}}{
        \hspace{66mm} {\@ucuncujuriuyesiEN} \\
        \hspace{66mm} {\@dorduncujuriuyesiEN} \\
    }{
        \hugeskip
        \hugeskip
    }
 \end{flushleft}

 \@input{\@abstract}
  \vfill
    \begin{keywordlist}{Key Words}
    \item \@ingilizceanahtarkelimeler
    \end{keywordlist}
}
%*************************** OZ BITISI **************************





\def\makeonsoz{
 \newpage
 \thispagestyle{plain}
 \spacing{1.5}
 \addcontentsline {toc}{chapter}{\"{O}NS\"{O}Z}
 \spacing{1.5}
 \chapter*{\"{O}NS\"{O}Z}
 \@input{\@onsoz}
 \newpage}


\def\maketesekkur{
 \newpage
 \thispagestyle{plain}
 \spacing{1.5}
 \addcontentsline {toc}{chapter}{TE\c{S}EKK\"{U}R}
 \spacing{1.5}
 \chapter*{TE\c{S}EKK\"{U}R}
 \@input{\@tesekkur}
 \newpage}


\def\makesimgeler{
 \newpage
 \thispagestyle{plain}
 \spacing{1.5}
 \addcontentsline {toc}{chapter}{S\.{I}MGELER\ VE\ KISALTMALAR D\.{I}Z\.{I}N\.{I}}
 \spacing{1.5}
 \chapter*{S\.{I}MGELER\ VE\ KISALTMALAR D\.{I}Z\.{I}N\.{I}}
 \@input{\@simgeler}
 \newpage}


\def\makekaynaklar{
 \newpage

 \spacing{1.5}
 \addcontentsline {toc}{chapter}{KAYNAKLAR}
 \chapter*{\vspace*{-13mm}KAYNAKLAR}
 \spacing{1.5}
 \@input{\@kaynaklar}
 \newpage}


\def\makeozgecmis{
 \newpage
 \spacing{1.5}
 \addcontentsline {toc}{chapter}{\"{O}ZGE\c{C}M\.{I}\c{S}}
 \spacing{1.5}
 \chapter*{\vspace*{-13mm}\"{O}ZGE\c{C}M\.{I}\c{S}}
 \@input{\@ozgecmis}
 \newpage}


%%\newcommand\appendix{\par %----> M
%%  \setcounter{chapter}{0}%
%%  \setcounter{section}{0}%
%%  \gdef\@chapapp{\appendixname}%
%%  \gdef\thechapter{\@Alph\c@chapter}} %
%%
%%  \def\appendixname{Ekler}%----> M

\def\makeekler{
 \newpage
 \spacing{1.5}
 \addcontentsline {toc}{chapter}{EKLER}
 \spacing{1.5}
 \chapter*{\vspace*{-13mm}EKLER}
 \noindent
 \@input{\@ekler}
%   \setcounter{chapter}{0}%
%    \setcounter{section}{0}%
 \newpage}


\def\makelistoftables{
 \newpage
 \spacing{1.5}
%\addcontentsline {toc}{chapter}{TABLOLAR\ D\.{I}Z\.{I}N\.{I}}
\addcontentsline {toc}{chapter}{ \c{C}\.IZELGELER \ D\.{I}Z\.{I}N\.{I}}
 \listoftables
 \newpage}


\def\makelistoffigures{
 \newpage
 \spacing{1.5}
 \addcontentsline {toc}{chapter}{\c{S}EK\.{I}LLER\ D\.{I}Z\.{I}N\.{I}}
 \listoffigures
 \newpage}



\def\@ifdefined#1#2{\@ifundefined{#1}{}{#2}}


\def\@makechapterhead#1{ \thispagestyle{fancy} { \parindent 0pt \raggedright
         \ifnum \c@secnumdepth >\m@ne \bf
         \thechapter. \fi  \bf #1\par
         \nobreak \vskip 13pt }

         \lhead{\thechapter.  #1}}

\def\@makeschapterhead#1{ \thispagestyle{plain} { \parindent 0pt \raggedright
  \bf #1\par
 \nobreak \vskip 10pt }}

\let\@afterindentfalse\@afterindenttrue
\@afterindenttrue


\renewcommand\section{\@startsection {section}{1}{0mm}
                                   {3.5ex \@plus -.1ex \@minus-.2ex}
                                   {3.5ex \@plus -.1ex \@minus-.2ex}
                                   {\raggedright\normalsize\bfseries}}

\renewcommand\subsection{\@startsection {subsection}{1}{0mm}
                                   {-3.5ex \@plus -1ex \@minus -.2ex}
                                   {3.5ex \@plus -.1ex \@minus-.2ex}
                                   {\raggedright\normalsize\bfseries}}

\renewcommand\subsubsection{\@startsection {subsubsection}{1}{0mm}
                                   {-3.5ex \@plus -1ex \@minus -.2ex}
                                   {3.5ex \@plus -.1ex \@minus-.2ex}
                                   {\raggedright\normalsize\bfseries}}


\renewcommand\contentsname{\.{I}\c{C}\.{I}NDEK\.{I}LER}
\renewcommand\listfigurename{\c{S}EK\.{I}LLER\ D\.{I}Z\.{I}N\.{I}}
\renewcommand\listtablename{\c{C}\.IZELGELER\ D\.{I}Z\.{I}N\.{I}}
\renewcommand\bibname{KAYNAKLAR}


\newcommand{\contentsheader}[2]
{       \addtocontents{#2}
        {       \centerline{\underline{#2}\protect\hfill
                           \underline{Page}}
        }
}


\setcounter{tocdepth}{4}

\renewcommand\tableofcontents
{ \newpage
 \thispagestyle{plain}
 \spacing{1.5}
 \addcontentsline {toc}{chapter}{\contentsname}
 \spacing{1.5}
 \chapter*{\contentsname \hfill SAYFA}
 \@starttoc{toc}
 \newpage
}

\renewcommand\listoffigures
{
        \chapter*{\listfigurename \hfill SAYFA}
        \@starttoc{lof}
}


\renewcommand\listoftables
{
        \chapter*{\listtablename \hfill SAYFA}
        \@starttoc{lot}
}
